## groovy.util.slurpersupport
Class NodeIterator

    java.lang.Object
      groovy.util.slurpersupport.NodeIterator

All Implemented Interfaces:
  Iterator

    public abstract class NodeIterator

extends Object
implements Iterator

Author:
  John Wilson

Constructor Summary
`NodeIterator(Iterator iter)`

Method Summary
`protected abstract Object` `getNextNode(Iterator iter)`
`boolean` `hasNext()`
`Object` `next()`
`void` `remove()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NodeIterator

    public NodeIterator(Iterator iter)

Method Detail

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `Iterator`

### next

    public Object next()

  Specified by:
    `next` in interface `Iterator`

### remove

    public void remove()

  Specified by:
    `remove` in interface `Iterator`

### getNextNode

    protected abstract Object getNextNode(Iterator iter)

Copyright © 2003-2008 The Codehaus. All rights reserved.